메인 콘텐츠로 건너뛰기
GET
curl "https://mybucket.storage.nami.cloud/?max-keys=2&prefix=example" \
  -H "Authorization: AWS4-HMAC-SHA256 Credential=AKIAIOSFODNN7EXAMPLE/20231028/us-east-1/s3/aws4_request, SignedHeaders=host;x-amz-date, Signature=fe5f80f77d5fa3beca038a248ff027d0445342fe2855ddc963176630326f1024"
{
  "Name": "<string>",
  "Prefix": "<string>",
  "MaxKeys": 123,
  "IsTruncated": true,
  "Contents": [
    {
      "Key": "<string>",
      "LastModified": "2023-11-07T05:31:56Z",
      "ETag": "<string>",
      "Size": 123,
      "StorageClass": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nami.cloud/llms.txt

Use this file to discover all available pages before exploring further.

버킷에 대한 읽기 권한이 있는지 확인하세요.

객체 목록

버킷에 있는 일부 또는 모든 객체(최대 1,000개)를 반환합니다. 요청 매개변수를 선택 기준으로 사용하여 버킷의 객체 하위 집합을 반환할 수 있습니다.

기본 URL

https://${bucketname}.storage.nami.cloud

쿼리 매개변수

prefix
지정된 접두사로 시작하는 키로 응답을 제한합니다.
delimiter
키를 그룹화하는 데 사용되는 문자(일반적으로 ’/‘와 함께 사용됨)
max-keys
응답에 포함할 최대 키 수(기본값: 1000)
marker
객체 목록을 나열할 때 시작할 키를 지정합니다.

요청 예제

curl "https://mybucket.storage.nami.cloud/?max-keys=2&prefix=example" \
  -H "Authorization: AWS4-HMAC-SHA256 Credential=AKIAIOSFODNN7EXAMPLE/20231028/us-east-1/s3/aws4_request, SignedHeaders=host;x-amz-date, Signature=fe5f80f77d5fa3beca038a248ff027d0445342fe2855ddc963176630326f1024"

응답 예제

HTTP/1.1 200 OK
x-amz-id-2: LriYPLdmOdAiIfgSm/F1YsViT1LW94/xUQxMsF7xiEb1a0wiIOIxl+zbwZ163pt7
x-amz-request-id: 65BD8659F15793A1
Date: Wed, 28 Oct 2023 22:32:00 GMT
Content-Type: application/xml
Content-Length: 302
Server: Nami Cloud

<?xml version="1.0" encoding="UTF-8"?>
<ListBucketResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <Name>mybucket</Name>
    <Prefix>example</Prefix>
    <Marker></Marker>
    <MaxKeys>2</MaxKeys>
    <IsTruncated>true</IsTruncated>
    <Contents>
        <Key>example.jpg</Key>
        <LastModified>2023-10-28T22:32:00.000Z</LastModified>
        <ETag>"fba9dede5f27731c9771645a39863328"</ETag>
        <Size>434234</Size>
        <StorageClass>STANDARD</StorageClass>
    </Contents>
    <Contents>
        <Key>example2.jpg</Key>
        <LastModified>2023-10-28T22:33:00.000Z</LastModified>
        <ETag>"9b2cf535f27731c9771645a39863328"</ETag>
        <Size>233524</Size>
        <StorageClass>STANDARD</StorageClass>
    </Contents>
</ListBucketResult>

인증

Authorization
string
header
필수

AWS Signature Version 4

쿼리 매개변수

prefix
string

Limits the response to keys that begin with the specified prefix

max-keys
integer
기본값:1000

Sets the maximum number of keys returned in the response

응답

200 - application/xml

Success

Name
string
Prefix
string
MaxKeys
integer
IsTruncated
boolean
Contents
object[]